This tenant's tracked emails, newest first
curl --request GET \
--url https://api.parser-app.com/v1/emails \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parser-app.com/v1/emails"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parser-app.com/v1/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.parser-app.com/v1/emails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.parser-app.com/v1/emails"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.parser-app.com/v1/emails")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.parser-app.com/v1/emails")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"emails": [
{
"email_id": "<string>",
"thread_id": "<string>",
"mailbox_id": "<string>",
"provider_message_id": "<string>",
"message_id": "<string>",
"in_reply_to": "<string>",
"references": [
"<string>"
],
"from": "<string>",
"to": [
"<string>"
],
"cc": [
"<string>"
],
"subject": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"size_bytes": 123,
"attachments": [
{
"filename": "<string>",
"content_type": "<string>",
"size_bytes": 123,
"sha256": "<string>"
}
],
"outcome": "<string>",
"job_id": "<string>",
"routing": {
"intent": "new_submission",
"confidence": 123,
"model": "<string>",
"served_model": "<string>"
},
"tags": [
"<string>"
],
"raw_stored": true
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Emails
This tenant's tracked emails, newest first
Every inbound email, on every path (forwarding addresses, Gmail, IMAP, Microsoft 365, POST /v1/intake/email), ignored and refused ones included. Filter by mailbox_id, thread_id, tag, outcome (job, merged, ignored, one ignored:<reason>, refused), sender (the From address), since and job_id; page with cursor (the previous page’s next_cursor, with the same filters).
GET
/
v1
/
emails
This tenant's tracked emails, newest first
curl --request GET \
--url https://api.parser-app.com/v1/emails \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.parser-app.com/v1/emails"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.parser-app.com/v1/emails', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.parser-app.com/v1/emails",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-Key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.parser-app.com/v1/emails"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-Key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.parser-app.com/v1/emails")
.header("X-API-Key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.parser-app.com/v1/emails")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-Key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"emails": [
{
"email_id": "<string>",
"thread_id": "<string>",
"mailbox_id": "<string>",
"provider_message_id": "<string>",
"message_id": "<string>",
"in_reply_to": "<string>",
"references": [
"<string>"
],
"from": "<string>",
"to": [
"<string>"
],
"cc": [
"<string>"
],
"subject": "<string>",
"received_at": "2023-11-07T05:31:56Z",
"size_bytes": 123,
"attachments": [
{
"filename": "<string>",
"content_type": "<string>",
"size_bytes": 123,
"sha256": "<string>"
}
],
"outcome": "<string>",
"job_id": "<string>",
"routing": {
"intent": "new_submission",
"confidence": 123,
"model": "<string>",
"served_model": "<string>"
},
"tags": [
"<string>"
],
"raw_stored": true
}
],
"next_cursor": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"request_id": "<string>"
}
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Authorizations
APIKeyHeaderHTTPBearer
API key
Query Parameters
Maximum string length:
64Maximum string length:
2048Maximum string length:
64Pattern:
^(job|merged|ignored(:[a-z_]{1,64})?|refused)$The From address, any case
Maximum string length:
320Received at or after this time, ISO 8601
Maximum string length:
64Pattern:
^\d{1,19}$Required range:
1 <= x <= 500